package com.zehong.system.service.impl;

import java.util.List;
import com.zehong.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zehong.system.mapper.TEnterpriseRankingRiskMapper;
import com.zehong.system.domain.TEnterpriseRankingRisk;
import com.zehong.system.service.ITEnterpriseRankingRiskService;

/**
 * 薄弱跟踪Service业务层处理
 * 
 * @author zehong
 * @date 2026-03-17
 */
@Service
public class TEnterpriseRankingRiskServiceImpl implements ITEnterpriseRankingRiskService 
{
    @Autowired
    private TEnterpriseRankingRiskMapper tEnterpriseRankingRiskMapper;

    /**
     * 查询薄弱跟踪
     * 
     * @param riskId 薄弱跟踪ID
     * @return 薄弱跟踪
     */
    @Override
    public TEnterpriseRankingRisk selectTEnterpriseRankingRiskById(Long riskId)
    {
        return tEnterpriseRankingRiskMapper.selectTEnterpriseRankingRiskById(riskId);
    }

    /**
     * 查询薄弱跟踪列表
     * 
     * @param tEnterpriseRankingRisk 薄弱跟踪
     * @return 薄弱跟踪
     */
    @Override
    public List<TEnterpriseRankingRisk> selectTEnterpriseRankingRiskList(TEnterpriseRankingRisk tEnterpriseRankingRisk)
    {
        return tEnterpriseRankingRiskMapper.selectTEnterpriseRankingRiskList(tEnterpriseRankingRisk);
    }

    /**
     * 新增薄弱跟踪
     * 
     * @param tEnterpriseRankingRisk 薄弱跟踪
     * @return 结果
     */
    @Override
    public int insertTEnterpriseRankingRisk(TEnterpriseRankingRisk tEnterpriseRankingRisk)
    {
        tEnterpriseRankingRisk.setCreateTime(DateUtils.getNowDate());
        return tEnterpriseRankingRiskMapper.insertTEnterpriseRankingRisk(tEnterpriseRankingRisk);
    }

    /**
     * 修改薄弱跟踪
     * 
     * @param tEnterpriseRankingRisk 薄弱跟踪
     * @return 结果
     */
    @Override
    public int updateTEnterpriseRankingRisk(TEnterpriseRankingRisk tEnterpriseRankingRisk)
    {
        return tEnterpriseRankingRiskMapper.updateTEnterpriseRankingRisk(tEnterpriseRankingRisk);
    }

    /**
     * 批量删除薄弱跟踪
     * 
     * @param riskIds 需要删除的薄弱跟踪ID
     * @return 结果
     */
    @Override
    public int deleteTEnterpriseRankingRiskByIds(Long[] riskIds)
    {
        return tEnterpriseRankingRiskMapper.deleteTEnterpriseRankingRiskByIds(riskIds);
    }

    /**
     * 删除薄弱跟踪信息
     * 
     * @param riskId 薄弱跟踪ID
     * @return 结果
     */
    @Override
    public int deleteTEnterpriseRankingRiskById(Long riskId)
    {
        return tEnterpriseRankingRiskMapper.deleteTEnterpriseRankingRiskById(riskId);
    }
}
